<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= error_messages_for 'message' %>
<% replying ||= false %>
<% representer_object = f.object %>
<% resource = message_attachment_representer(representer_object) %>

<div class="form--field -required">
  <%= f.text_field :subject,
                   required: true,
                   container_class: '-wide',
                   autofocus: true,
                   data: { 'forum-messages-target': 'subject' }
  %>
</div>
<% unless replying %>
  <div class="form--field">
    <%= f.check_box :sticky, label: I18n.t('js.label_board_sticky') %>
  </div>
  <div class="form--field">
    <%= f.check_box :locked, label: I18n.t('js.label_board_locked') %>
  </div>
<% end %>
<% if !replying && !@message.new_record? && User.current.allowed_in_project?(:edit_messages, @project) %>
  <div class="form--field">
    <%= f.select :forum_id, @project.forums.collect {|b| [b.name, b.id]}, label: Forum.model_name.human, container_class: '-wide' %>
  </div>
<% end %>

<div class="form--field -required -visible-overflow">
  <%= f.text_area :content,
                  label: t(:description_message_content),
                  class: 'wiki-edit',
                  container_class: '-xxwide',
                  label_options: { class: '-top' },
                  with_text_formatting: true,
                  resource: resource,
                  preview_context: preview_context(representer_object) %>
</div>
